WPXContentListener Class Reference documentation

WPXContentListener Class Referenceabstract

`#include <WPXContentListener.h>`

Inheritance diagram for WPXContentListener:

## Protected Member Functions
| WPXContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
| ~WPXContentListener () override
void | startDocument ()
void | startSubDocument ()
void | endDocument ()
void | endSubDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)
| Creates an new document state.
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
virtual void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)=0
virtual void | _flushText ()=0
virtual void | _changeList ()=0
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const bool isListElement=false)
void | _getTabStops (librevenge::RVNGPropertyListVector &tabStops)
void | _appendJustification (librevenge::RVNGPropertyList &propList, int justification)
void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const double height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
double | _movePositionToFirstColumn (double position)
double | _getNextTabStop () const
double | _getPreviousTabStop () const
void | _insertText (const librevenge::RVNGString &textBuffer)
void | _insertBreakIfNecessary (librevenge::RVNGPropertyList &propList)
void | _insertPageNumberParagraph (WPXPageNumberPosition position, WPXNumberingType type, librevenge::RVNGString fontName, double fontSize)
unsigned | _mapNonUnicodeCharacter (unsigned character)
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Protected Attributes
std::unique_ptr< WPXContentParsingState > | m_ps
librevenge::RVNGTextInterface * | m_documentInterface
librevenge::RVNGPropertyList | m_metaData
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Private Member Functions
| WPXContentListener (const WPXContentListener &)
WPXContentListener & | operator= (const WPXContentListener &)
librevenge::RVNGString | _colorToString (const RGBSColor *color)
librevenge::RVNGString | _mergeColorsToString (const RGBSColor *fgColor, const RGBSColor *bgColor)
unsigned | _mapSymbolFontCharacter (unsigned character)
unsigned | _mapDingbatsFontCharacter (unsigned character)

## Constructor & Destructor Documentation

## ◆ WPXContentListener() [1/2]

WPXContentListener::WPXContentListener | ( | std::list< WPXPageSpan > & | pageList,
|  | librevenge::RVNGTextInterface * | documentInterface )
| protected

Referenced by operator=(), WP1ContentListener::WP1ContentListener(), WP3ContentListener::WP3ContentListener(), WP42ContentListener::WP42ContentListener(), WP5ContentListener::WP5ContentListener(), WP6ContentListener::WP6ContentListener(), and WPXContentListener().

## ◆ ~WPXContentListener()

WPXContentListener::~WPXContentListener | ( |  | ) |
| overrideprotected

## ◆ WPXContentListener() [2/2]

WPXContentListener::WPXContentListener | ( | const WPXContentListener & |  | ) |
| private

## Member Function Documentation

## ◆ _appendJustification()

void WPXContentListener::_appendJustification | ( | librevenge::RVNGPropertyList & | propList,
|  | int | justification )
| protected

Referenced by _appendParagraphProperties().

## ◆ _appendParagraphProperties()

void WPXContentListener::_appendParagraphProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | const bool | isListElement = false )
| protected

Referenced by _openListElement(), and _openParagraph().

## ◆ _changeList()

virtual void WPXContentListener::_changeList | ( |  | ) |
| protectedpure virtual

Implemented in WP1ContentListener, WP3ContentListener, WP42ContentListener, WP5ContentListener, and WP6ContentListener.

Referenced by _closeSection(), _closeTable(), _closeTableCell(), _openSpan(), endDocument(), and endSubDocument().

## ◆ _closeListElement()

void WPXContentListener::_closeListElement | ( |  | ) |
| protected

Referenced by WP6ContentListener::_changeList(), _closeSection(), _closeTable(), _closeTableCell(), WP1ContentListener::_handleSubDocument(), WP3ContentListener::_handleSubDocument(), WP42ContentListener::_handleSubDocument(), WP5ContentListener::_handleSubDocument(), WP6ContentListener::_handleSubDocument(), WP6ContentListener::defineTable(), endDocument(), endSubDocument(), insertBreak(), WP1ContentListener::insertEOL(), WP3ContentListener::insertEOL(), WP42ContentListener::insertEOL(), WP5ContentListener::insertEOL(), WP6ContentListener::insertEOL(), justificationChange(), WP6ContentListener::paragraphMarginChange(), and WP6ContentListener::styleGroupOn().

## ◆ _closePageSpan()

void WPXContentListener::_closePageSpan | ( |  | ) |
| protected

Referenced by _closeListElement(), _closeParagraph(), _closeTable(), endDocument(), and insertBreak().

## ◆ _closeParagraph()

void WPXContentListener::_closeParagraph | ( |  | ) |
| protected

Referenced by WP6ContentListener::_changeList(), _closeSection(), _closeTable(), _closeTableCell(), WP1ContentListener::_handleSubDocument(), WP3ContentListener::_handleSubDocument(), WP42ContentListener::_handleSubDocument(), WP5ContentListener::_handleSubDocument(), WP6ContentListener::_handleSubDocument(), WP6ContentListener::defineTable(), endDocument(), endSubDocument(), handleSubDocument(), insertBreak(), WP1ContentListener::insertEOL(), WP3ContentListener::insertEOL(), WP42ContentListener::insertEOL(), WP5ContentListener::insertEOL(), WP6ContentListener::insertEOL(), justificationChange(), WP6ContentListener::paragraphMarginChange(), and WP6ContentListener::styleGroupOn().

## ◆ _closeSection()

void WPXContentListener::_closeSection | ( |  | ) |
| protected

Referenced by _closePageSpan(), _closeTable(), WP1ContentListener::_handleSubDocument(), WP3ContentListener::_handleSubDocument(), WP42ContentListener::_handleSubDocument(), WP5ContentListener::_handleSubDocument(), WP6ContentListener::_handleSubDocument(), _openListElement(), _openParagraph(), WP3ContentListener::columnChange(), WP6ContentListener::columnChange(), endDocument(), handleSubDocument(), WP3ContentListener::startTable(), WP5ContentListener::startTable(), WP6ContentListener::startTable(), and WP6ContentListener::styleGroupOn().

## ◆ _closeSpan()

void WPXContentListener::_closeSpan | ( |  | ) |
| protected

Referenced by _closeListElement(), _closeParagraph(), WP1ContentListener::attributeChange(), WP3ContentListener::attributeChange(), WP42ContentListener::attributeChange(), WP5ContentListener::attributeChange(), WP6ContentListener::attributeChange(), WP5ContentListener::characterColorChange(), WP6ContentListener::characterColorChange(), WP6ContentListener::characterShadingChange(), WP6ContentListener::commentAnnotation(), WP6ContentListener::fontChange(), WP1ContentListener::fontId(), WP1ContentListener::fontPointSize(), WP6ContentListener::highlightChange(), WP1ContentListener::insertNote(), WP3ContentListener::insertNote(), WP5ContentListener::insertNote(), WP6ContentListener::noteOn(), WP5ContentListener::setFont(), WP3ContentListener::setFontSize(), WP3ContentListener::setTextColor(), and WP3ContentListener::setTextFont().

## ◆ _closeTable()

void WPXContentListener::_closeTable | ( |  | ) |
| protected

Referenced by WP6ContentListener::_handleSubDocument(), _openTable(), endDocument(), endSubDocument(), WP3ContentListener::endTable(), WP5ContentListener::endTable(), and WP6ContentListener::endTable().

## ◆ _closeTableCell()

void WPXContentListener::_closeTableCell | ( |  | ) |
| protected

Referenced by _closeTableRow(), _openTableCell(), and WP3ContentListener::closeCell().

## ◆ _closeTableRow()

void WPXContentListener::_closeTableRow | ( |  | ) |
| protected

Referenced by _closeTable(), _openTableRow(), and WP3ContentListener::closeRow().

## ◆ _colorToString()

librevenge::RVNGString WPXContentListener::_colorToString | ( | const RGBSColor * | color | ) |
| private

Referenced by _openSpan(), and _openTableCell().

## ◆ _flushText()

virtual void WPXContentListener::_flushText | ( |  | ) |
| protectedpure virtual

Implemented in WP1ContentListener, WP3ContentListener, WP42ContentListener, WP5ContentListener, and WP6ContentListener.

Referenced by _closeSpan().

## ◆ _getNextTabStop()

double WPXContentListener::_getNextTabStop | ( |  | ) | const
| protected

Referenced by WP3ContentListener::insertTab(), WP3ContentListener::leftIndent(), and WP3ContentListener::leftRightIndent().

## ◆ _getPreviousTabStop()

double WPXContentListener::_getPreviousTabStop | ( |  | ) | const
| protected

Referenced by WP3ContentListener::backTab().

## ◆ _getTabStops()

void WPXContentListener::_getTabStops | ( | librevenge::RVNGPropertyListVector & | tabStops | ) |
| protected

Referenced by _openListElement(), and _openParagraph().

## ◆ _handleSubDocument()

virtual void WPXContentListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice )
| protectedpure virtual

Implemented in WP1ContentListener, WP3ContentListener, WP42ContentListener, WP5ContentListener, and WP6ContentListener.

Referenced by handleSubDocument().

## ◆ _insertBreakIfNecessary()

void WPXContentListener::_insertBreakIfNecessary | ( | librevenge::RVNGPropertyList & | propList | ) |
| protected

Referenced by _appendParagraphProperties(), and _openTable().

## ◆ _insertPageNumberParagraph()

void WPXContentListener::_insertPageNumberParagraph | ( | WPXPageNumberPosition | position,
|  | WPXNumberingType | type,
|  | librevenge::RVNGString | fontName,
|  | double | fontSize )
| protected

Referenced by _openPageSpan().

## ◆ _insertText()

void WPXContentListener::_insertText | ( | const librevenge::RVNGString & | textBuffer | ) |
| protected

Referenced by WP1ContentListener::_flushText(), WP3ContentListener::_flushText(), WP42ContentListener::_flushText(), WP5ContentListener::_flushText(), and WP6ContentListener::_flushText().

## ◆ _mapDingbatsFontCharacter()

unsigned WPXContentListener::_mapDingbatsFontCharacter | ( | unsigned | character | ) |
| private

Referenced by _mapNonUnicodeCharacter().

## ◆ _mapNonUnicodeCharacter()

unsigned WPXContentListener::_mapNonUnicodeCharacter | ( | unsigned | character | ) |
| protected

Referenced by WP1ContentListener::insertCharacter(), WP3ContentListener::insertCharacter(), WP42ContentListener::insertCharacter(), WP5ContentListener::insertCharacter(), WP6ContentListener::insertCharacter(), and WP1ContentListener::insertExtendedCharacter().

## ◆ _mapSymbolFontCharacter()

unsigned WPXContentListener::_mapSymbolFontCharacter | ( | unsigned | character | ) |
| private

Referenced by _mapNonUnicodeCharacter().

## ◆ _mergeColorsToString()

librevenge::RVNGString WPXContentListener::_mergeColorsToString | ( | const RGBSColor * | fgColor,
|  | const RGBSColor * | bgColor )
| private

Referenced by _openTableCell().

## ◆ _movePositionToFirstColumn()

double WPXContentListener::_movePositionToFirstColumn | ( | double | position | ) |
| protected

Referenced by _openTable(), WP3ContentListener::defineTable(), and WP6ContentListener::insertTab().

## ◆ _openListElement()

void WPXContentListener::_openListElement | ( |  | ) |
| protected

Referenced by _openSpan(), WP5ContentListener::insertTab(), and WP6ContentListener::insertTab().

## ◆ _openPageSpan()

void WPXContentListener::_openPageSpan | ( |  | ) |
| protected

Referenced by _openSection(), WP3ContentListener::columnChange(), WP6ContentListener::columnChange(), WP3ContentListener::startTable(), and WP5ContentListener::startTable().

## ◆ _openParagraph()

void WPXContentListener::_openParagraph | ( |  | ) |
| protectedvirtual

Reimplemented in WP3ContentListener.

Referenced by WP3ContentListener::_openParagraph(), _openSpan(), WP6ContentListener::commentAnnotation(), WP1ContentListener::insertNote(), WP5ContentListener::insertNote(), WP5ContentListener::insertTab(), WP6ContentListener::insertTab(), and WP6ContentListener::noteOn().

## ◆ _openSection()

void WPXContentListener::_openSection | ( |  | ) |
| protected

Referenced by WP6ContentListener::_handleListChange(), _openListElement(), _openParagraph(), WP3ContentListener::startTable(), WP5ContentListener::startTable(), and WP6ContentListener::startTable().

## ◆ _openSpan()

void WPXContentListener::_openSpan | ( |  | ) |
| protected

Referenced by _closeTableCell(), WP1ContentListener::_handleSubDocument(), WP3ContentListener::_handleSubDocument(), WP42ContentListener::_handleSubDocument(), WP5ContentListener::_handleSubDocument(), WP6ContentListener::_handleSubDocument(), WP5ContentListener::boxOn(), WP6ContentListener::boxOn(), WP6ContentListener::displayNumberReferenceGroupOff(), endDocument(), WP6ContentListener::handleLineBreak(), handleSubDocument(), insertBreak(), WP1ContentListener::insertCharacter(), WP3ContentListener::insertCharacter(), WP42ContentListener::insertCharacter(), WP5ContentListener::insertCharacter(), WP6ContentListener::insertCharacter(), WP1ContentListener::insertEOL(), WP3ContentListener::insertEOL(), WP42ContentListener::insertEOL(), WP5ContentListener::insertEOL(), WP6ContentListener::insertEOL(), WP1ContentListener::insertExtendedCharacter(), WP5ContentListener::insertIndent(), WP3ContentListener::insertPageNumber(), WP1ContentListener::insertPicture(), WP3ContentListener::insertPicture(), WP1ContentListener::insertTab(), WP3ContentListener::insertTab(), WP42ContentListener::insertTab(), WP5ContentListener::insertTab(), WP6ContentListener::insertTab(), WP3ContentListener::insertTextBox(), and WP3ContentListener::insertWP51Table().

## ◆ _openTable()

void WPXContentListener::_openTable | ( |  | ) |
| protected

Referenced by WP3ContentListener::startTable(), WP5ContentListener::startTable(), and WP6ContentListener::startTable().

## ◆ _openTableCell()

void WPXContentListener::_openTableCell | ( | const unsigned char | colSpan,
|  | const unsigned char | rowSpan,
|  | const unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment )
| protected

Referenced by _closeTableRow(), WP3ContentListener::insertCell(), WP5ContentListener::insertCell(), and WP6ContentListener::insertCell().

## ◆ _openTableRow()

void WPXContentListener::_openTableRow | ( | const double | height,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow )
| protected

Referenced by WP3ContentListener::insertRow(), WP5ContentListener::insertRow(), and WP6ContentListener::insertRow().

## ◆ _resetParagraphState()

void WPXContentListener::_resetParagraphState | ( | const bool | isListElement = false | ) |
| protected

Referenced by _openListElement(), and _openParagraph().

## ◆ endDocument()

void WPXContentListener::endDocument | ( |  | ) |
| protected

Referenced by WP1ContentListener::endDocument(), WP3ContentListener::endDocument(), WP42ContentListener::endDocument(), WP5ContentListener::endDocument(), and WP6ContentListener::endDocument().

## ◆ endSubDocument()

void WPXContentListener::endSubDocument | ( |  | ) |
| protected

Referenced by WP1ContentListener::endSubDocument(), WP3ContentListener::endSubDocument(), WP42ContentListener::endSubDocument(), WP5ContentListener::endSubDocument(), and WP6ContentListener::endSubDocument().

## ◆ handleSubDocument()

void WPXContentListener::handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice )
| protected

Creates an new document state.

Saves the old state on a "stack".

Referenced by _openPageSpan(), WP6ContentListener::commentAnnotation(), WP1ContentListener::insertNote(), WP3ContentListener::insertNote(), WP5ContentListener::insertNote(), WP3ContentListener::insertTextBox(), WP6ContentListener::insertTextBox(), WP3ContentListener::insertWP51Table(), and WP6ContentListener::noteOff().

## ◆ insertBreak()

void WPXContentListener::insertBreak | ( | const unsigned char | breakType | ) |
| protected

Referenced by WP1ContentListener::insertBreak(), WP3ContentListener::insertBreak(), WP42ContentListener::insertBreak(), WP5ContentListener::insertBreak(), and WP6ContentListener::insertBreak().

## ◆ justificationChange()

void WPXContentListener::justificationChange | ( | const unsigned char | justification | ) |
| protected

Referenced by WP5ContentListener::justificationChange(), and WP6ContentListener::justificationChange().

## ◆ lineSpacingChange()

void WPXContentListener::lineSpacingChange | ( | const double | lineSpacing | ) |
| protected

Referenced by WP1ContentListener::lineSpacingChange(), WP3ContentListener::lineSpacingChange(), WP5ContentListener::lineSpacingChange(), and WP6ContentListener::lineSpacingChange().

## ◆ operator=()

WPXContentListener & WPXContentListener::operator= | ( | const WPXContentListener & |  | ) |
| private

## ◆ startDocument()

void WPXContentListener::startDocument | ( |  | ) |
| protected

Referenced by _openPageSpan(), WP1ContentListener::startDocument(), WP3ContentListener::startDocument(), WP42ContentListener::startDocument(), WP5ContentListener::startDocument(), and WP6ContentListener::startDocument().

## ◆ startSubDocument()

void WPXContentListener::startSubDocument | ( |  | ) |
| protected

Referenced by WP1ContentListener::startSubDocument(), WP3ContentListener::startSubDocument(), WP42ContentListener::startSubDocument(), WP5ContentListener::startSubDocument(), and WP6ContentListener::startSubDocument().

## Member Data Documentation

## ◆ m_documentInterface

librevenge::RVNGTextInterface* WPXContentListener::m_documentInterface
| protected

Referenced by _closeListElement(), _closePageSpan(), _closeParagraph(), _closeSection(), _closeSpan(), _closeTable(), _closeTableCell(), _closeTableRow(), WP6ContentListener::_flushText(), WP6ContentListener::_handleListChange(), _insertPageNumberParagraph(), _insertText(), _openListElement(), _openPageSpan(), _openParagraph(), _openSection(), _openSpan(), _openTable(), _openTableCell(), _openTableRow(), WP5ContentListener::boxOff(), WP6ContentListener::boxOff(), WP5ContentListener::boxOn(), WP6ContentListener::boxOn(), WP6ContentListener::commentAnnotation(), WP6ContentListener::displayNumberReferenceGroupOff(), endDocument(), WP6ContentListener::handleLineBreak(), WP1ContentListener::insertCharacter(), WP1ContentListener::insertEOL(), WP1ContentListener::insertExtendedCharacter(), WP5ContentListener::insertGraphicsData(), WP6ContentListener::insertGraphicsData(), WP5ContentListener::insertIndent(), WP1ContentListener::insertNote(), WP3ContentListener::insertNote(), WP5ContentListener::insertNote(), WP1ContentListener::insertPicture(), WP3ContentListener::insertPicture(), WP1ContentListener::insertTab(), WP3ContentListener::insertTab(), WP42ContentListener::insertTab(), WP5ContentListener::insertTab(), WP6ContentListener::insertTab(), WP3ContentListener::insertTextBox(), WP6ContentListener::insertTextBox(), WP3ContentListener::insertWP51Table(), WP6ContentListener::noteOff(), startDocument(), and WPXContentListener().

## ◆ m_metaData

librevenge::RVNGPropertyList WPXContentListener::m_metaData
| protected

Referenced by WP6ContentListener::setDate(), WP6ContentListener::setExtendedInformation(), startDocument(), and WPXContentListener().

## ◆ m_ps

std::unique_ptr<WPXContentParsingState> WPXContentListener::m_ps
| protected

Referenced by _appendParagraphProperties(), WP6ContentListener::_changeList(), _closeListElement(), _closePageSpan(), _closeParagraph(), _closeSection(), _closeSpan(), _closeTable(), _closeTableCell(), _closeTableRow(), WP6ContentListener::_flushText(), _getNextTabStop(), _getPreviousTabStop(), _getTabStops(), WP3ContentListener::_handleFrameParameters(), WP6ContentListener::_handleListChange(), WP1ContentListener::_handleSubDocument(), WP3ContentListener::_handleSubDocument(), WP42ContentListener::_handleSubDocument(), WP5ContentListener::_handleSubDocument(), WP6ContentListener::_handleSubDocument(), _insertBreakIfNecessary(), _mapNonUnicodeCharacter(), _movePositionToFirstColumn(), _openListElement(), _openPageSpan(), WP3ContentListener::_openParagraph(), _openParagraph(), _openSection(), _openSpan(), _openTable(), _openTableCell(), _openTableRow(), WP6ContentListener::_paragraphNumberOn(), _resetParagraphState(), WP3ContentListener::addTableColumnDefinition(), WP5ContentListener::addTableColumnDefinition(), WP6ContentListener::addTableColumnDefinition(), WP1ContentListener::attributeChange(), WP3ContentListener::attributeChange(), WP42ContentListener::attributeChange(), WP5ContentListener::attributeChange(), WP6ContentListener::attributeChange(), WP3ContentListener::backTab(), WP5ContentListener::boxOn(), WP6ContentListener::boxOn(), WP1ContentListener::centerOn(), WP5ContentListener::characterColorChange(), WP6ContentListener::characterColorChange(), WP6ContentListener::characterShadingChange(), WP3ContentListener::columnChange(), WP6ContentListener::columnChange(), WP6ContentListener::commentAnnotation(), WP3ContentListener::defineTable(), WP5ContentListener::defineTable(), WP6ContentListener::defineTable(), WP6ContentListener::defineTabStops(), WP6ContentListener::displayNumberReferenceGroupOn(), endDocument(), endSubDocument(), WP3ContentListener::endTable(), WP5ContentListener::endTable(), WP6ContentListener::endTable(), WP1ContentListener::flushRightOn(), WP6ContentListener::fontChange(), WP1ContentListener::fontId(), WP1ContentListener::fontPointSize(), WP6ContentListener::handleLineBreak(), handleSubDocument(), WP6ContentListener::highlightChange(), WP3ContentListener::indentFirstLineChange(), WP6ContentListener::indentFirstLineChange(), insertBreak(), WP3ContentListener::insertCell(), WP5ContentListener::insertCell(), WP6ContentListener::insertCell(), WP1ContentListener::insertCharacter(), WP3ContentListener::insertCharacter(), WP42ContentListener::insertCharacter(), WP5ContentListener::insertCharacter(), WP6ContentListener::insertCharacter(), WP1ContentListener::insertEOL(), WP3ContentListener::insertEOL(), WP42ContentListener::insertEOL(), WP5ContentListener::insertEOL(), WP6ContentListener::insertEOL(), WP1ContentListener::insertExtendedCharacter(), WP5ContentListener::insertIndent(), WP1ContentListener::insertNote(), WP3ContentListener::insertNote(), WP5ContentListener::insertNote(), WP5ContentListener::insertNoteReference(), WP3ContentListener::insertPageNumber(), WP1ContentListener::insertPicture(), WP3ContentListener::insertPicture(), WP6ContentListener::insertRow(), WP1ContentListener::insertTab(), WP3ContentListener::insertTab(), WP3ContentListener::insertTab(), WP42ContentListener::insertTab(), WP5ContentListener::insertTab(), WP6ContentListener::insertTab(), WP3ContentListener::insertTextBox(), WP3ContentListener::insertWP51Table(), WP1ContentListener::justificationChange(), WP3ContentListener::justificationChange(), justificationChange(), WP1ContentListener::leftIndent(), WP3ContentListener::leftIndent(), WP3ContentListener::leftIndent(), WP1ContentListener::leftMarginRelease(), WP1ContentListener::leftRightIndent(), WP3ContentListener::leftRightIndent(), WP3ContentListener::leftRightIndent(), lineSpacingChange(), WP3ContentListener::marginChange(), WP5ContentListener::marginChange(), WP6ContentListener::marginChange(), WP1ContentListener::marginReset(), WP42ContentListener::marginReset(), WP6ContentListener::noteOff(), WP6ContentListener::noteOn(), WP6ContentListener::paragraphMarginChange(), WP6ContentListener::setAlignmentCharacter(), WP5ContentListener::setFont(), WP3ContentListener::setFontSize(), WP6ContentListener::setLeaderCharacter(), WP1ContentListener::setTabs(), WP3ContentListener::setTabs(), WP5ContentListener::setTabs(), WP3ContentListener::setTextColor(), WP3ContentListener::setTextFont(), WP6ContentListener::spacingAfterParagraphChange(), startDocument(), startSubDocument(), WP3ContentListener::startTable(), WP5ContentListener::startTable(), WP6ContentListener::startTable(), WP6ContentListener::styleGroupOn(), WP1ContentListener::WP1ContentListener(), WP42ContentListener::WP42ContentListener(), and WPXContentListener().

The documentation for this class was generated from the following files:

- WPXContentListener.h
- WPXContentListener.cpp